"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.BMFeaturesBMFeatures = exports.MembershipStatus = exports.SortOrder = exports.ContentType = exports.IdentityType = exports.PrivacyStatus = exports.StepKey = exports.AllowPolicy = exports.Type = exports.onGroupUpdated = exports.onGroupDescriptionChanged = exports.onGroupCoverChanged = exports.onGroupDeleted = exports.onGroupCreated = exports.queryGroups = exports.listGroups = exports.getGroupBySlug = exports.getGroup = exports.deleteGroup = exports.updateGroup = exports.createGroup = void 0;
const social_groups_v2_group_groups_public_js_1 = require("./social-groups-v2-group-groups.public.js");
const rest_modules_1 = require("@wix/sdk-runtime/rest-modules");
const event_definition_modules_1 = require("@wix/sdk-runtime/event-definition-modules");
const social_groups_v2_group_groups_public_js_2 = require("./social-groups-v2-group-groups.public.js");
const social_groups_v2_group_groups_public_js_3 = require("./social-groups-v2-group-groups.public.js");
const social_groups_v2_group_groups_public_js_4 = require("./social-groups-v2-group-groups.public.js");
const social_groups_v2_group_groups_public_js_5 = require("./social-groups-v2-group-groups.public.js");
const social_groups_v2_group_groups_public_js_6 = require("./social-groups-v2-group-groups.public.js");
exports.createGroup = (0, rest_modules_1.createRESTModule)(social_groups_v2_group_groups_public_js_1.createGroup);
exports.updateGroup = (0, rest_modules_1.createRESTModule)(social_groups_v2_group_groups_public_js_1.updateGroup);
exports.deleteGroup = (0, rest_modules_1.createRESTModule)(social_groups_v2_group_groups_public_js_1.deleteGroup);
exports.getGroup = (0, rest_modules_1.createRESTModule)(social_groups_v2_group_groups_public_js_1.getGroup);
exports.getGroupBySlug = (0, rest_modules_1.createRESTModule)(social_groups_v2_group_groups_public_js_1.getGroupBySlug);
exports.listGroups = (0, rest_modules_1.createRESTModule)(social_groups_v2_group_groups_public_js_1.listGroups);
exports.queryGroups = (0, rest_modules_1.createRESTModule)(social_groups_v2_group_groups_public_js_1.queryGroups);
/**
 * Triggered when a group is created.
 */
exports.onGroupCreated = (0, event_definition_modules_1.createEventModule)(social_groups_v2_group_groups_public_js_2.onGroupCreated);
/**
 * Triggered when a group is deleted.
 */
exports.onGroupDeleted = (0, event_definition_modules_1.createEventModule)(social_groups_v2_group_groups_public_js_3.onGroupDeleted);
/**
 * Triggered when a group's logo is changed.
 */
exports.onGroupCoverChanged = (0, event_definition_modules_1.createEventModule)(social_groups_v2_group_groups_public_js_4.onGroupCoverChanged);
/**
 * Triggered when a group's description is changed.
 */
exports.onGroupDescriptionChanged = (0, event_definition_modules_1.createEventModule)(social_groups_v2_group_groups_public_js_5.onGroupDescriptionChanged);
/**
 * Triggered when a group is updated. See payload for more information about the specific trigger.
 */
exports.onGroupUpdated = (0, event_definition_modules_1.createEventModule)(social_groups_v2_group_groups_public_js_6.onGroupUpdated);
var social_groups_v2_group_groups_universal_js_1 = require("./social-groups-v2-group-groups.universal.js");
Object.defineProperty(exports, "Type", { enumerable: true, get: function () { return social_groups_v2_group_groups_universal_js_1.Type; } });
Object.defineProperty(exports, "AllowPolicy", { enumerable: true, get: function () { return social_groups_v2_group_groups_universal_js_1.AllowPolicy; } });
Object.defineProperty(exports, "StepKey", { enumerable: true, get: function () { return social_groups_v2_group_groups_universal_js_1.StepKey; } });
Object.defineProperty(exports, "PrivacyStatus", { enumerable: true, get: function () { return social_groups_v2_group_groups_universal_js_1.PrivacyStatus; } });
Object.defineProperty(exports, "IdentityType", { enumerable: true, get: function () { return social_groups_v2_group_groups_universal_js_1.IdentityType; } });
Object.defineProperty(exports, "ContentType", { enumerable: true, get: function () { return social_groups_v2_group_groups_universal_js_1.ContentType; } });
Object.defineProperty(exports, "SortOrder", { enumerable: true, get: function () { return social_groups_v2_group_groups_universal_js_1.SortOrder; } });
Object.defineProperty(exports, "MembershipStatus", { enumerable: true, get: function () { return social_groups_v2_group_groups_universal_js_1.MembershipStatus; } });
Object.defineProperty(exports, "BMFeaturesBMFeatures", { enumerable: true, get: function () { return social_groups_v2_group_groups_universal_js_1.BMFeaturesBMFeatures; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return social_groups_v2_group_groups_universal_js_1.WebhookIdentityType; } });
//# sourceMappingURL=social-groups-v2-group-groups.context.js.map