"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.queryGroups = exports.listGroups = exports.getGroupBySlug = exports.getGroup = exports.deleteGroup = exports.updateGroup = exports.createGroup = void 0;
const ambassadorWixSocialGroupsV2Group = __importStar(require("./social-groups-v2-group-groups.http.js"));
function createGroup() {
    const payload = {};
    const getRequestOptions = ambassadorWixSocialGroupsV2Group.createGroup(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v2/groups',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.createGroup = createGroup;
function updateGroup() {
    const payload = { group: { id: ':groupId' } };
    const getRequestOptions = ambassadorWixSocialGroupsV2Group.updateGroup(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PATCH',
        path: '/v2/groups/{group.id}',
        pathParams: { groupId: 'groupId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.updateGroup = updateGroup;
function deleteGroup() {
    const payload = { groupId: ':groupId' };
    const getRequestOptions = ambassadorWixSocialGroupsV2Group.deleteGroup(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'DELETE',
        path: '/v2/groups/{groupId}',
        pathParams: { groupId: 'groupId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.deleteGroup = deleteGroup;
function getGroup() {
    const payload = { groupId: ':groupId' };
    const getRequestOptions = ambassadorWixSocialGroupsV2Group.getGroup(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v2/groups/{groupId}',
        pathParams: { groupId: 'groupId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.getGroup = getGroup;
function getGroupBySlug() {
    const payload = { slug: ':slug' };
    const getRequestOptions = ambassadorWixSocialGroupsV2Group.getGroupBySlug(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v2/groups/slugs/{slug}',
        pathParams: { slug: 'slug' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.getGroupBySlug = getGroupBySlug;
function listGroups() {
    const payload = {};
    const getRequestOptions = ambassadorWixSocialGroupsV2Group.listGroups(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v2/groups',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.listGroups = listGroups;
function queryGroups() {
    const payload = {};
    const getRequestOptions = ambassadorWixSocialGroupsV2Group.queryGroups(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v2/groups/query',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.queryGroups = queryGroups;
//# sourceMappingURL=social-groups-v2-group-groups.meta.js.map