import * as ambassadorWixSocialGroupsV2Group from './social-groups-v2-group-groups.http.js';
export function createGroup() {
    const payload = {};
    const getRequestOptions = ambassadorWixSocialGroupsV2Group.createGroup(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v2/groups',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function updateGroup() {
    const payload = { group: { id: ':groupId' } };
    const getRequestOptions = ambassadorWixSocialGroupsV2Group.updateGroup(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PATCH',
        path: '/v2/groups/{group.id}',
        pathParams: { groupId: 'groupId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function deleteGroup() {
    const payload = { groupId: ':groupId' };
    const getRequestOptions = ambassadorWixSocialGroupsV2Group.deleteGroup(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'DELETE',
        path: '/v2/groups/{groupId}',
        pathParams: { groupId: 'groupId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function getGroup() {
    const payload = { groupId: ':groupId' };
    const getRequestOptions = ambassadorWixSocialGroupsV2Group.getGroup(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v2/groups/{groupId}',
        pathParams: { groupId: 'groupId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function getGroupBySlug() {
    const payload = { slug: ':slug' };
    const getRequestOptions = ambassadorWixSocialGroupsV2Group.getGroupBySlug(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v2/groups/slugs/{slug}',
        pathParams: { slug: 'slug' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function listGroups() {
    const payload = {};
    const getRequestOptions = ambassadorWixSocialGroupsV2Group.listGroups(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v2/groups',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function queryGroups() {
    const payload = {};
    const getRequestOptions = ambassadorWixSocialGroupsV2Group.queryGroups(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v2/groups/query',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
//# sourceMappingURL=social-groups-v2-group-groups.meta.js.map