import * as ambassadorWixSocialGroupsV2GroupTypes from './social-groups-v2-group-groups.types.js';
import * as ambassadorWixSocialGroupsV2GroupUniversalTypes from './social-groups-v2-group-groups.universal.js';
export type __PublicMethodMetaInfo<K = string, M = unknown, T = unknown, S = unknown, Q = unknown, R = unknown> = {
    getUrl: (context: any) => string;
    httpMethod: K;
    path: string;
    pathParams: M;
    __requestType: T;
    __originalRequestType: S;
    __responseType: Q;
    __originalResponseType: R;
};
export declare function createGroup(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixSocialGroupsV2GroupUniversalTypes.CreateGroupRequest, ambassadorWixSocialGroupsV2GroupTypes.CreateGroupRequest, ambassadorWixSocialGroupsV2GroupUniversalTypes.CreateGroupResponse, ambassadorWixSocialGroupsV2GroupTypes.CreateGroupResponse>;
export declare function updateGroup(): __PublicMethodMetaInfo<'PATCH', {
    groupId: string;
}, ambassadorWixSocialGroupsV2GroupUniversalTypes.UpdateGroupRequest, ambassadorWixSocialGroupsV2GroupTypes.UpdateGroupRequest, ambassadorWixSocialGroupsV2GroupUniversalTypes.UpdateGroupResponse, ambassadorWixSocialGroupsV2GroupTypes.UpdateGroupResponse>;
export declare function deleteGroup(): __PublicMethodMetaInfo<'DELETE', {
    groupId: string;
}, ambassadorWixSocialGroupsV2GroupUniversalTypes.DeleteGroupRequest, ambassadorWixSocialGroupsV2GroupTypes.DeleteGroupRequest, ambassadorWixSocialGroupsV2GroupUniversalTypes.DeleteGroupResponse, ambassadorWixSocialGroupsV2GroupTypes.DeleteGroupResponse>;
export declare function getGroup(): __PublicMethodMetaInfo<'GET', {
    groupId: string;
}, ambassadorWixSocialGroupsV2GroupUniversalTypes.GetGroupRequest, ambassadorWixSocialGroupsV2GroupTypes.GetGroupRequest, ambassadorWixSocialGroupsV2GroupUniversalTypes.GetGroupResponse, ambassadorWixSocialGroupsV2GroupTypes.GetGroupResponse>;
export declare function getGroupBySlug(): __PublicMethodMetaInfo<'GET', {
    slug: string;
}, ambassadorWixSocialGroupsV2GroupUniversalTypes.GetGroupBySlugRequest, ambassadorWixSocialGroupsV2GroupTypes.GetGroupBySlugRequest, ambassadorWixSocialGroupsV2GroupUniversalTypes.GetGroupBySlugResponse, ambassadorWixSocialGroupsV2GroupTypes.GetGroupBySlugResponse>;
export declare function listGroups(): __PublicMethodMetaInfo<'GET', {}, ambassadorWixSocialGroupsV2GroupUniversalTypes.ListGroupsRequest, ambassadorWixSocialGroupsV2GroupTypes.ListGroupsRequest, ambassadorWixSocialGroupsV2GroupUniversalTypes.ListGroupsResponse, ambassadorWixSocialGroupsV2GroupTypes.ListGroupsResponse>;
export declare function queryGroups(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixSocialGroupsV2GroupUniversalTypes.QueryGroupsRequest, ambassadorWixSocialGroupsV2GroupTypes.QueryGroupsRequest, ambassadorWixSocialGroupsV2GroupUniversalTypes.QueryGroupsResponse, ambassadorWixSocialGroupsV2GroupTypes.QueryGroupsResponse>;
